package com.springboot.cloud.auth.authentication.rest;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;

public class HttpServletRequestAuthWrapper extends HttpServletRequestWrapper {

    private String url;

    /**
     * @param url
     */
    public HttpServletRequestAuthWrapper(HttpServletRequest request, String url) {
        super(request);
        this.url = url;
    }

    @Override
    public String getServletPath() {
        return this.url;
    }
}
